Package org.eclipse.net4j.util.concurrent

# Class ResultSynchronizer<RESULT>

java.lang.Object
org.eclipse.net4j.util.concurrent.ResultSynchronizer<RESULT>

All Implemented Interfaces:
  `ISynchronizer<RESULT>`

public final class ResultSynchronizer<RESULT> extends Object implements ISynchronizer<RESULT>

Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`ResultSynchronizer()`

## Method Summary

Modifier and Type
Method
Description
`RESULT`
`get(long timeout)`
`void`
`put(RESULT result)`
`boolean`
`put(RESULT result, long timeout)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ResultSynchronizer

public ResultSynchronizer()

## Method Details

### get

public RESULT get(long timeout)

Specified by:
  `get` in interface `ISynchronizer<RESULT>`

### put

public void put(RESULT result)

Specified by:
  `put` in interface `ISynchronizer<RESULT>`

### put

public boolean put(RESULT result, long timeout)

Specified by:
  `put` in interface `ISynchronizer<RESULT>`